Subject: Re: [PATCH 3/4] run-command: prep_childenv on all platforms

From: Patrick Steinhardt <[email-masked]>
Date: Wed, 21 May 2025 09:56:23 +0200

On Tue, May 20, 2025 at 03:34:57PM -0400, D. Ben Knoble wrote:
> We only prepare the child environment on non-Windows platforms, but
> prep_childenv is the natural interposition point for our subprocess
> system to adjust the environment as needed. Use it for Windows
> platforms, also. In subsequent commits we'll use this interposition
> point to modify the environment on all platforms.

What is the consequence though of calling `prep_childenv()` on Windows
now? Why didn't we call it before this change? Details like this should
definitely go into the commit message to explain why it's safe to add
the call now.

Patrick